Results 1 to 9 of 9

Thread: Make the world go flat - FLATTEN

  1. #1
    Active Member
    Join Date
    2003-08
    Posts
    92
    Login to Give a bone
    0

    Talking Make the world go flat - FLATTEN

    Someone mentioned to me that they used to have a lisp routine at thier previous place of employment that would make all entities in a drawing have an elevation equal to zero and z-coordinate values of zero. This would make my life alot easier when I need to x-ref surveyor's drawing files into my plans. Does anybody have a lisp routine I could load into Architectural Desktop 2004? I could go crazy over the number of times I could not fillet a line that was drawn by snapping to something in the x-ref with a line I drew because they were not coplaner. Thanks for your help.
    Jamie

  2. #2
    Administrator Opie's Avatar
    Join Date
    2002-01
    Location
    jUSt Here (a lot)
    Posts
    8,662
    Login to Give a bone
    0

    Default Re: Make the world go flat - FLATTEN

    Have you installed the Express Tools? It contains a FLATTEN command.
    If you have a technical question, please find the appropriate forum and ask it there.
    You will get a quicker response from your fellow AUGI members than if you sent it to me via a PM or email.
    jUSt

  3. #3
    Mod / Salary / SM Wanderer's Avatar
    Join Date
    2001-12
    Location
    St. Louis
    Posts
    5,367
    Login to Give a bone
    0

    Talking Re: Make the world go flat - FLATTEN

    Jamie...

    hi, if you don't have the express tools (or even if you do and want to try something different), check out the AUGI exchange, entry number EX001339 for Flatten.lsp.

    also, check out some other 3D to 2D options people have come up with and shared...
    Quote Originally Posted by bowes
    Someone mentioned to me that they used to have a lisp routine at thier previous place of employment that would make all entities in a drawing have an elevation equal to zero and z-coordinate values of zero. This would make my life alot easier when I need to x-ref surveyor's drawing files into my plans. Does anybody have a lisp routine I could load into Architectural Desktop 2004? I could go crazy over the number of times I could not fillet a line that was drawn by snapping to something in the x-ref with a line I drew because they were not coplaner. Thanks for your help.
    Jamie
    Melanie Stone
    @MistresDorkness

    ARCHIBUS, FMS/FMInteract and AutoCAD Expert (I use BricsCAD, Revit, & Tririga, too)
    Technical Editor
    not all those who wander are lost

  4. #4
    Certifiable AUGI Addict tedg's Avatar
    Join Date
    2005-06
    Location
    in the upper right corner
    Posts
    3,322
    Login to Give a bone
    0

    Thumbs up Re: Make the world go flat - FLATTEN

    Quote Originally Posted by bowes
    Someone mentioned to me that they used to have a lisp routine at thier previous place of employment that would make all entities in a drawing have an elevation equal to zero and z-coordinate values of zero. This would make my life alot easier when I need to x-ref surveyor's drawing files into my plans. Does anybody have a lisp routine I could load into Architectural Desktop 2004? I could go crazy over the number of times I could not fillet a line that was drawn by snapping to something in the x-ref with a line I drew because they were not coplaner. Thanks for your help.
    Jamie
    Here's one I've had for a long time
    Code:
    (defun c:ELZ (/ cent el ent i na newel nst st stx)
       (princ "\nElevation Zero")
    
    (defun WORKING ()
       (if (= wrkcnt nil)(setq wrkcnt 0))
       (setq wrkcnt (1+ wrkcnt))
       (if (= wrkcnt 1)(setq wrk "-"))
       (if (= wrkcnt 2)(setq wrk "\\"))
       (if (= wrkcnt 3)(setq wrk "|"))
       (if (= wrkcnt 4)
          (progn (setq wrk "/")(setq wrkcnt 0))
       )
       (princ (strcat "\n" wrk "\n"))
    )
               
       (setq ent (ssget '((-4 . "<OR")(0 . "LINE")(0 . "TEXT")
          (0 . "POLYLINE")(0 . "LWPOLYLINE")(0 . "VERTEX")(0 . "ARC")
          (0 . "CIRCLE")(0 . "ELLIPSE")(0 . "INSERT")
          (0 . "MTEXT")(0 . "POINT")(-4 . "OR>")))
       )
       (setq el (sslength ent))
       (princ el)
       (setq i 0)
       (repeat el
          (working)
          (setq na (ssname ent i) i (1+ i))
          (setq cent (entget na))
          (setq st (assoc 10 cent))
          (setq stx (cadr st) sty (caddr st))
          (setq nst (list 10 stx sty 0.0))
          (setq newel (subst nst st cent))
          (entmod newel)
          (if (= (cdr (assoc 0 cent)) "LINE")
             (progn
                (setq na (ssname ent (- i 1)))
                (setq cent (entget na))      
                (setq st (assoc 11 cent))      
                (setq stx (cadr st) sty (caddr st))
                (setq nst (list 11 stx sty 0.0))
                (setq newel (subst nst st cent))
                (entmod newel)
             )
          )
       )
       (princ)
    )
    
    (princ)
    command: ELZ (select everything you want to set to zero elevation)

    Works great.

  5. #5
    I could stop if I wanted to Hammer.John.J's Avatar
    Join Date
    2015-09
    Location
    Springfield, MA
    Posts
    487
    Login to Give a bone
    0

    Default Re: Make the world go flat - FLATTEN

    the ldd one i find better...

    Sorry for the *edit* but I believe it would best if this file was *not* posted on the AUGI web site, unless the author has given their permission. If you know of a web site that is hosting this file, please provide a link for others to follow.

    AUGI can not take any chances with regard to Copyright infringements that may exist. It would be good manners to obtain the author's permission before posting their work.

    Thanks for your understanding,

    Richard
    Forum Moderator
    Last edited by Opie; 2006-05-17 at 05:57 PM. Reason: remove copyright material
    Thank you kindly
    Lead Landscape Architect & CAD Manager
    R14 - C3D 2014
    http://www.youtube.com/user/butzers03xtreme I drive a Silverado, its loud and I like it

  6. #6
    I could stop if I wanted to lmitsou's Avatar
    Join Date
    2003-01
    Location
    UK
    Posts
    219
    Login to Give a bone
    0

    Lightbulb Re: Make the world go flat - FLATTEN

    L. Mitsou



  7. #7
    Active Member
    Join Date
    2003-08
    Posts
    92
    Login to Give a bone
    0

    Default Re: Make the world go flat - FLATTEN

    Quote Originally Posted by Opie
    Have you installed the Express Tools? It contains a FLATTEN command.
    Opie
    I found the flatten command to not work completely. I tried it on a survey with contours in 3d and it did flatten the contours, but they shifted far away from their original x,y locations.
    thanks
    Jamie

  8. #8
    Active Member
    Join Date
    2003-08
    Posts
    92
    Login to Give a bone
    0

    Default Re: Make the world go flat - FLATTEN

    Melanie,

    I tried the flatten command that came the express tools with limited success. I downloaded the file from the AUGI exchange that you suggested and it seems to work completely. Thanks for your help. I can see why they made you a supermoderator!

    Jamie

  9. #9
    Woo! Hoo! my 1st post
    Join Date
    2014-03
    Posts
    1
    Login to Give a bone
    0

    Default Re: Make the world go flat - FLATTEN

    Great work, thanks a lot

Similar Threads

  1. Flatten Z cords without using the Flatten command.
    By Doodlemusmaximus in forum AutoCAD General
    Replies: 15
    Last Post: 2016-01-08, 02:26 PM
  2. Replies: 0
    Last Post: 2015-08-07, 03:47 PM
  3. FM11-1: Make FM Part of Your AutoCAD® World
    By Autodesk University in forum Facility Management
    Replies: 0
    Last Post: 2013-04-17, 04:39 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •